#ifndef MySaver_H
#define MySaver_H

// MySaver.h
// James Ward 02/10/01 (espresso@crema.co.uk)
//
// Screen Saver Implementation
//

#include <string>
using namespace std;

#include "Saver.h"

//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------

class MySaver : public Saver {
public:
	MySaver();
	virtual ~MySaver();

	void OnCreate();
	void OnDestroy();
	void OnPaint();
	void OnTimer();
	void OnResize(int width, int height);

private: // private member variables
	CFishTank  _tank;	// building model
	string _Path;		// resource path
	bool   _bRasters;	// draw rasters?
	bool   _bSnow;		// draw snowy CRTs?
};

//-----------------------------------------------------------------------------

// Create instance of our custom saver class to handle screen saver events
static MySaver theSaver;


#include "CFishTank.h"

#endif//MySaver_H
